﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using PV.DataAccess.Context;

namespace PV.DataAccess.Migrations
{
    [DbContext(typeof(DatabaseContext))]
    [Migration("20200819063004_M3LoadProfile")]
    partial class M3LoadProfile
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.0.1")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("PV.Core.Models.AppSettings", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset>("CreatedOn")
                        .HasColumnType("datetimeoffset");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<string>("Key")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset?>("UpdatedOn")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("Value")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("AppSettings");

                    b.HasData(
                        new
                        {
                            Id = new Guid("29d3da3a-96a0-4add-8e2d-2cf5ab80ec0a"),
                            CreatedOn = new DateTimeOffset(new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)),
                            IsDeleted = false,
                            Key = "SelaataNextCsv",
                            Value = "1/1/2020 12:00:00 AM +00:00"
                        },
                        new
                        {
                            Id = new Guid("9c366922-192a-4225-8da1-a3ba1f89d50d"),
                            CreatedOn = new DateTimeOffset(new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)),
                            IsDeleted = false,
                            Key = "FermesNextCsv",
                            Value = "1/1/2020 12:00:00 AM +00:00"
                        },
                        new
                        {
                            Id = new Guid("b98858b9-4234-4eec-ac39-2f6a5da04477"),
                            CreatedOn = new DateTimeOffset(new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)),
                            IsDeleted = false,
                            Key = "RabihMNextCsv",
                            Value = "1/1/2020 12:00:00 AM +00:00"
                        },
                        new
                        {
                            Id = new Guid("be3ff08e-39e0-4d78-88d8-4ded76089c93"),
                            CreatedOn = new DateTimeOffset(new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)),
                            IsDeleted = false,
                            Key = "SelaataNextKwh",
                            Value = "1/1/2020 12:00:00 AM +00:00"
                        },
                        new
                        {
                            Id = new Guid("91b3ad9e-453c-4b16-8e69-18099e719e8f"),
                            CreatedOn = new DateTimeOffset(new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)),
                            IsDeleted = false,
                            Key = "FermesNextKwh",
                            Value = "1/1/2020 12:00:00 AM +00:00"
                        },
                        new
                        {
                            Id = new Guid("ec216cb9-6400-4ab4-a9d1-d77bf2d35f6f"),
                            CreatedOn = new DateTimeOffset(new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)),
                            IsDeleted = false,
                            Key = "RabihMNextKwh",
                            Value = "1/1/2020 12:00:00 AM +00:00"
                        });
                });

            modelBuilder.Entity("PV.Core.Models.CsvReading", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset>("CreatedOn")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("Gateway0_EssScheduledCharging")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Gateway0_GeneratorRunReason")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal?>("Gateway0_InputVoltagePhase1")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("Gateway0_InputVoltagePhase2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("Gateway0_InputVoltagePhase3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("Gateway0_PhaseRotation")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Gateway0_Relay1State")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal?>("Gateway0_VrmLogTimeOffset")
                        .HasColumnType("decimal(18,2)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<Guid?>("SiteId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<decimal>("SolarCharger_BatteryWatts")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SolarCharger_BatteryWatts2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SolarCharger_BatteryWatts3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SolarCharger_BatteryWatts4")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("SolarCharger_ChargeState")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SolarCharger_ChargeState2")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SolarCharger_ChargeState3")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SolarCharger_ChargeState4")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SolarCharger_ChargerOnOff")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SolarCharger_ChargerOnOff2")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SolarCharger_ChargerOnOff3")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SolarCharger_ChargerOnOff4")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal?>("SolarCharger_Current")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_Current2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_Current3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_Current4")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("SolarCharger_ErrorCode")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SolarCharger_ErrorCode2")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SolarCharger_ErrorCode3")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SolarCharger_ErrorCode4")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SolarCharger_LoadState")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SolarCharger_LoadState2")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SolarCharger_LoadState3")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SolarCharger_LoadState4")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal>("SolarCharger_MaximumChargePowerToday")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SolarCharger_MaximumChargePowerToday2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SolarCharger_MaximumChargePowerToday3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SolarCharger_MaximumChargePowerToday4")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SolarCharger_MaximumChargePowerYesterday")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SolarCharger_MaximumChargePowerYesterday2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SolarCharger_MaximumChargePowerYesterday3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SolarCharger_MaximumChargePowerYesterday4")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("SolarCharger_MpptState")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal?>("SolarCharger_PvCurrent")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_PvCurrent2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_PvCurrent3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_PvCurrent4")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SolarCharger_PvPower")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SolarCharger_PvPower2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SolarCharger_PvPower3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SolarCharger_PvPower4")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_PvVoltage")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_PvVoltage2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_PvVoltage3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_PvVoltage4")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("SolarCharger_RelayOnTheCharger")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SolarCharger_RelayOnTheCharger2")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SolarCharger_RelayOnTheCharger3")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SolarCharger_RelayOnTheCharger4")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal?>("SolarCharger_UserYield")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_UserYield2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_UserYield3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_UserYield4")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_Voltage")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_Voltage2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_Voltage3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_Voltage4")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_YieldToday")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_YieldToday2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_YieldToday3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_YieldToday4")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_YieldYesterday")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_YieldYesterday2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_YieldYesterday3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SolarCharger_YieldYesterday4")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SystemOverview0_AcConsumptionL1")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SystemOverview0_AcConsumptionL2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SystemOverview0_AcConsumptionL3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("SystemOverview0_AcInput")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SystemOverview0_BatteryPower")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SystemOverview0_BatteryState")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal?>("SystemOverview0_BatteryStateOfCharge")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("SystemOverview0_Current")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("SystemOverview0_DvccFirmwareInsufficientAlarm")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SystemOverview0_DvccMultipleBatteriesAlarm")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SystemOverview0_FiveSlowChargeIsActive")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SystemOverview0_FourDischargeDisabledByBms")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SystemOverview0_GeneratorNotDetectedAtAcInput")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal>("SystemOverview0_GridL1")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SystemOverview0_GridL2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("SystemOverview0_GridL3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("SystemOverview0_OneLowSocDischargeDisabled")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SystemOverview0_PvDcCoupled")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SystemOverview0_SevenDischargeDisabledByUserSetting")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SystemOverview0_SixChargeDisabledByUserSetting")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SystemOverview0_ThreeChargeDisabledByBms")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("SystemOverview0_TwoBatteryLifeIsActive")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal?>("SystemOverview0_VeBusChargeCurrent")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("SystemOverview0_VeBusChargePower")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal?>("SystemOverview0_Voltage")
                        .HasColumnType("decimal(18,2)");

                    b.Property<DateTimeOffset?>("TimeStamp")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset?>("UpdatedOn")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("VeBusSystem0_ActiveInput")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal>("VeBusSystem0_ActiveInputCurrentLimit")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("VeBusSystem0_ChargeState")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal?>("VeBusSystem0_Current")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("VeBusSystem0_HighDcRipple")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("VeBusSystem0_HighDcRippleL1")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("VeBusSystem0_HighDcRippleL2")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("VeBusSystem0_HighDcRippleL3")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal?>("VeBusSystem0_InputCurrentPhase1")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_InputCurrentPhase2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_InputCurrentPhase3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_InputFrequency1")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_InputFrequency2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_InputFrequency3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_InputPower1")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_InputPower2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_InputPower3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("VeBusSystem0_LowBattery")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("VeBusSystem0_LowBatteryL1")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("VeBusSystem0_LowBatteryL2")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("VeBusSystem0_LowBatteryL3")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal?>("VeBusSystem0_OutputCurrentPhase1")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_OutputCurrentPhase2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_OutputCurrentPhase3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_OutputFrequency")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_OutputPower1")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_OutputPower2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_OutputPower3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_OutputVoltagePhase1")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_OutputVoltagePhase2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_OutputVoltagePhase3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("VeBusSystem0_Overload")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("VeBusSystem0_OverloadL1")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("VeBusSystem0_OverloadL2")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("VeBusSystem0_OverloadL3")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("VeBusSystem0_SwitchPosition")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("VeBusSystem0_TemperaturSensorAlarm")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("VeBusSystem0_Temperature")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("VeBusSystem0_TemperatureL1")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("VeBusSystem0_TemperatureL2")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("VeBusSystem0_TemperatureL3")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("VeBusSystem0_VeBusError")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("VeBusSystem0_VeBusState")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal>("VeBusSystem0_VeBusStateOfCharge")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("VeBusSystem0_Voltage")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("VeBusSystem0_VoltageSensorAlarm")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.HasIndex("SiteId");

                    b.ToTable("CsvReading");
                });

            modelBuilder.Entity("PV.Core.Models.DiagnosticsData", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset>("CreatedOn")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("DbusPath")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("DbusServiceType")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Description")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Device")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("FormatWithUnit")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("FormattedValue")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("IdDataAttribute")
                        .HasColumnType("int");

                    b.Property<int>("IdSite")
                        .HasColumnType("int");

                    b.Property<int>("Instance")
                        .HasColumnType("int");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<Guid>("ReadingId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<int>("RequestId")
                        .HasColumnType("int");

                    b.Property<DateTimeOffset?>("Timestamp")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset?>("UpdatedOn")
                        .HasColumnType("datetimeoffset");

                    b.HasKey("Id");

                    b.HasIndex("ReadingId");

                    b.ToTable("DiagnosticsDataHistory");
                });

            modelBuilder.Entity("PV.Core.Models.DiagnosticsDataEnumValue", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset>("CreatedOn")
                        .HasColumnType("datetimeoffset");

                    b.Property<Guid>("DiagnosticsDataId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<string>("NameEnum")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset?>("UpdatedOn")
                        .HasColumnType("datetimeoffset");

                    b.Property<int>("ValueEnum")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("DiagnosticsDataId");

                    b.ToTable("DiagnosticsDataEnumValueHistory");
                });

            modelBuilder.Entity("PV.Core.Models.FeederTable", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("AddressLow")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset>("CreatedOn")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("FeederID")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("FeederName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("IP")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<string>("M3Validity")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("PrimarySubstation")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Status")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset?>("UpdatedOn")
                        .HasColumnType("datetimeoffset");

                    b.HasKey("Id");

                    b.ToTable("FeederTable");
                });

            modelBuilder.Entity("PV.Core.Models.KwhReading", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<decimal?>("BcValue")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset>("CreatedOn")
                        .HasColumnType("datetimeoffset");

                    b.Property<decimal?>("GbValue")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("GcValue")
                        .HasColumnType("decimal(18,2)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<decimal?>("KwhValue")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("PbValue")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("PcValue")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("PgValue")
                        .HasColumnType("decimal(18,2)");

                    b.Property<DateTimeOffset>("ReadingDate")
                        .HasColumnType("datetimeoffset");

                    b.Property<Guid?>("SiteId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset?>("UpdatedOn")
                        .HasColumnType("datetimeoffset");

                    b.HasKey("Id");

                    b.HasIndex("SiteId");

                    b.ToTable("KwhReading");
                });

            modelBuilder.Entity("PV.Core.Models.LoadSchedding", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset>("CreatedOn")
                        .HasColumnType("datetimeoffset");

                    b.Property<DateTimeOffset>("Date")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("Day")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("EighteenToTwentyFour")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("FourteenToEighteen")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<string>("SixToTen")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("TenToFourteen")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset?>("UpdatedOn")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("ZeroToSix")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("LoadSchedding");
                });

            modelBuilder.Entity("PV.Core.Models.M3LoadProfiles", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<double>("ActivePower1")
                        .HasColumnType("float");

                    b.Property<double>("ActivePower2")
                        .HasColumnType("float");

                    b.Property<double>("ActivePower3")
                        .HasColumnType("float");

                    b.Property<double>("ApparentPower1")
                        .HasColumnType("float");

                    b.Property<double>("ApparentPower2")
                        .HasColumnType("float");

                    b.Property<double>("ApparentPower3")
                        .HasColumnType("float");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset>("CreatedOn")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("FeederName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<string>("MeterID")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("MeterTimeStamp")
                        .HasColumnType("datetime2");

                    b.Property<decimal>("PowerFactor1")
                        .HasColumnType("decimal(18, 6)");

                    b.Property<decimal>("PowerFactor2")
                        .HasColumnType("decimal(18, 6)");

                    b.Property<decimal>("PowerFactor3")
                        .HasColumnType("decimal(18, 6)");

                    b.Property<string>("PrimarySubStation")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("ReferenceTimeStamp")
                        .HasColumnType("datetime2");

                    b.Property<double>("TotalActiveEnergyImport")
                        .HasColumnType("float");

                    b.Property<double>("TotalReactiveEnergyImport")
                        .HasColumnType("float");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset?>("UpdatedOn")
                        .HasColumnType("datetimeoffset");

                    b.HasKey("Id");

                    b.ToTable("M3LoadProfiles");
                });

            modelBuilder.Entity("PV.Core.Models.M3ReadingTable", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<decimal?>("ActiveEnergy")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("ActiveEnergyExport")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset>("CreatedOn")
                        .HasColumnType("datetimeoffset");

                    b.Property<DateTimeOffset?>("DateOfGreatestCurrent")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("FeederID")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal?>("GreatestCurrentReached")
                        .HasColumnType("decimal(18,2)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<decimal?>("MaxCurrent_Ph1")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("MaxCurrent_Ph2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("MaxCurrent_Ph3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("MaxVoltage_Ph1")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("MaxVoltage_Ph2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("MaxVoltage_Ph3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("MinVoltage_Ph1")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("MinVoltage_Ph2")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal?>("MinVoltage_Ph3")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("ModifyDate")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal?>("ReactiveEnergyImport")
                        .HasColumnType("decimal(18,2)");

                    b.Property<DateTimeOffset?>("ReadingDate")
                        .HasColumnType("datetimeoffset");

                    b.Property<int?>("ReptRecordNum")
                        .HasColumnType("int");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset?>("UpdatedOn")
                        .HasColumnType("datetimeoffset");

                    b.HasKey("Id");

                    b.ToTable("M3ReadingTable");
                });

            modelBuilder.Entity("PV.Core.Models.Reading", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset>("CreatedOn")
                        .HasColumnType("datetimeoffset");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<Guid>("SiteId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset?>("UpdatedOn")
                        .HasColumnType("datetimeoffset");

                    b.HasKey("Id");

                    b.HasIndex("SiteId");

                    b.ToTable("Reading");
                });

            modelBuilder.Entity("PV.Core.Models.Site", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset>("CreatedOn")
                        .HasColumnType("datetimeoffset");

                    b.Property<int>("IdSite")
                        .HasColumnType("int");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset?>("UpdatedOn")
                        .HasColumnType("datetimeoffset");

                    b.HasKey("Id");

                    b.ToTable("Site");
                });

            modelBuilder.Entity("PV.Core.Models.Supplier", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset>("CreatedOn")
                        .HasColumnType("datetimeoffset");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<string>("Key")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTimeOffset?>("UpdatedOn")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("Value")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Suppliers");
                });

            modelBuilder.Entity("PV.Core.Models.CsvReading", b =>
                {
                    b.HasOne("PV.Core.Models.Site", "Site")
                        .WithMany("CsvReadings")
                        .HasForeignKey("SiteId");
                });

            modelBuilder.Entity("PV.Core.Models.DiagnosticsData", b =>
                {
                    b.HasOne("PV.Core.Models.Reading", "Reading")
                        .WithMany("DiagnosticsData")
                        .HasForeignKey("ReadingId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("PV.Core.Models.DiagnosticsDataEnumValue", b =>
                {
                    b.HasOne("PV.Core.Models.DiagnosticsData", "DiagnosticsData")
                        .WithMany("DataAttributeEnumValues")
                        .HasForeignKey("DiagnosticsDataId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("PV.Core.Models.KwhReading", b =>
                {
                    b.HasOne("PV.Core.Models.Site", "Site")
                        .WithMany("KwhReadings")
                        .HasForeignKey("SiteId");
                });

            modelBuilder.Entity("PV.Core.Models.Reading", b =>
                {
                    b.HasOne("PV.Core.Models.Site", "Site")
                        .WithMany("Readings")
                        .HasForeignKey("SiteId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
